# Uses of Interface
org.eclipse.birt.report.model.api.simpleapi.IStyle

Packages that use IStyle
Package
Description
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of IStyle in org.eclipse.birt.report.model.api.extension

Methods in org.eclipse.birt.report.model.api.extension that return IStyle
Modifier and Type
Method
Description
`IStyle`
MultiRowItem.`getStyle()`
`IStyle`
SimpleRowItem.`getStyle()`

## Uses of IStyle in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl that return IStyle
Modifier and Type
Method
Description
`IStyle`
SimpleElementFactory.`createStyle(StyleHandle style)`

## Uses of IStyle in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi that return IStyle
Modifier and Type
Method
Description
`IStyle`
ISimpleElementFactory.`createStyle(StyleHandle style)`
Create `IStyle` instance
`IStyle`
IDesignElement.`getStyle()`
Gets design element style.